#include <bits/stdc++.h>

using namespace std;
int N, r, c;
long long res;
int kolone[200008], redovi[200008];
queue<int> nule, brojevi;
int main()
{
    cin >> N;
    for(int i = 0; i < N; i++){
        cin >> r >> c;
        kolone[c]++;
        redovi[r]++;
    }

    res = 0;

    for(int i = 1; i <= N; i++){
        if(kolone[i] == 0){
            nule.push(i);
            if(!brojevi.empty()){
                res+= abs(nule.front() - brojevi.front());
                brojevi.pop();
                nule.pop();
            }
        }
        else if(kolone[i] > 1){
            while(kolone[i] > 1){
                kolone[i]--;
                brojevi.push(i);
            }

            if(!nule.empty()){
                res += abs(nule.front() - brojevi.front());
                brojevi.pop();
                nule.pop();
            }
        }
    }


    for(int i = 1; i <= N; i++){
        if(redovi[i] == 0){
            nule.push(i);
            if(!brojevi.empty()){
                res+= abs(nule.front() - brojevi.front());
                brojevi.pop();
                nule.pop();
            }
        }
        else if(redovi[i] > 1){
            while(redovi[i] > 1){
                redovi[i]--;
                brojevi.push(i);
            }

            if(!nule.empty()){
                res += abs(nule.front() - brojevi.front());
                brojevi.pop();
                nule.pop();
            }
        }
    }


    cout << res;
    return 0;
}